Skip to content
Skip to main content
POST
/v3/grants/{grant_id}/drafts/{draft_id}

Send a Draft

Sends the specified draft as a message. You can optionally include a signature_id to append a signature to the message body at send time.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

draft_id*string

ID of the draft to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Request body

signature_idstring

The ID of a signature to append to the message body when sending. Nylas inserts the signature after a line break at the end of the body, including after any quoted text. Only use this if the draft was created without a signature, or if you want to add one at send time.

Example: "sig_abc123"

Responses

request_idstring

The request ID.

dataobject

A draft of a message. You can edit a draft until you send it as a message.

POSThttps://api.us.nylas.com/v3/grants/{grant_id}/drafts/{draft_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

draft_idrequiredstring

ID of the draft to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.